Get a collection of multiple rate table details.
get
/fscmRestApi/resources/11.13.18.05/incentiveCompensationParticipantRateTableDetails
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- ByParticipantIdAndFormulaIdFinder Finds a record by participant and formula identifier.
Finder Variables- bFormula_Id; integer; Uniquely identifying the incentive formula.
- bParticipant_Id; integer; The unique identifier of the participant with whom the earnings are associated.
- PrimaryKey Finds a record based on a primary key.
Finder Variables- RateTableValueId; integer; Finds a record based on the unique identifier of the rate table value.
- ByParticipantIdAndFormulaIdFinder Finds a record by participant and formula identifier.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccumulationFlag; boolean; Accumulation flag
- AccumulationInterval; integer; Accumulation interval
- CommissionUnitCode; string; The unit of measure code.
- CommissionValue; number; The rate of the rate table.
- CompensationPlanId; integer; The unique identifier of the compensation plan.
- ComponentDisplayName; string; The display name of the plan component.
- Description; string; The description of the credit category.
- DimUnitCode; string; The unit of measure of the dimension.
- DisplayName; string; The unique identifier of the business unit.
- EmailAddress; string; Email address of the participant.
- FormulaDisplayName; string; The display name of the formula
- FormulaId; integer; Uniquely identifying the incentive formula.
- FormulaName; string; The name of the performance measure.
- FormulaTypeCode; string; The performance measure type code.
- MaximumAmount; number; The maximum amount of the tier.
- MaximumExpId; integer; The identifier for the maximum expression-based rate.
- MinimumAmount; number; The minimum amount of the tier.
- MinimumExpId; integer; The identifier for the minimum expression-based rate.
- NumberDim; integer; The number of dimensions in the rate table.
- OrgId; number; The identifier of the business unit.
- ParentRateTableValueId; integer; The unique identifier of the parent rate table value.
- ParticipantId; integer; The unique identifier of the participant.
- ParticipantName; string; The name of the participant with whom the earnings are associated.
- PartyId; integer; The party identifier.
- PlanComponentId; integer; Uniquely identifying the plan component.
- PlanComponentName; string; The system name of the plan component associated with the earnings.
- RateDimSequence; integer; Rate dimension sequence
- RateDimTierId; integer; Unique identifier of the rate dimension tier.
- RateDimensionId; integer; Unique identifier of the rate dimension.
- RateSequence; integer; Rate sequence
- RateTableId; integer; The unique identifier of the rate table.
- RateTableName; string; Rate table name
- RateTableValueId; integer; The unique identifier of the rate table value.
- ReportEnabledFlag; boolean; Report enabled flag
- SourceSystemId; string; The primary key of the record in the source system.
- SplitOption; string; Split rate option
- SrpCompensationPlanId; integer; The unique identifier of the participant compensation plan assignment.
- SrpFormMetricId; integer; The unique identifier of the participant formula.
- SrpFormRateTableId; integer; The unique identifier of the participant rate.
- SrpPlanComponentId; integer; The unique identifier of the participant plan component.
- StringValue; string; The value of the string dimension.
- TierSequence; integer; Tier sequence
- WorkerNumber; string; The worker number of the credited participant.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : incentiveCompensationParticipantRateTableDetails
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : incentiveCompensationParticipantRateTableDetails-item-response
Type:
Show Source
object-
AccumulationFlag: boolean
Read Only:
trueMaximum Length:1Accumulation flag -
AccumulationInterval: integer
(int64)
Read Only:
trueAccumulation interval -
CommissionUnitCode: string
Read Only:
trueMaximum Length:30The unit of measure code. -
CommissionValue: number
Read Only:
trueThe rate of the rate table. -
CompensationPlanId: integer
(int64)
Read Only:
trueThe unique identifier of the compensation plan. -
ComponentDisplayName: string
Read Only:
trueMaximum Length:80The display name of the plan component. -
Description: string
Read Only:
trueMaximum Length:1000The description of the credit category. -
DimUnitCode: string
Read Only:
trueMaximum Length:30The unit of measure of the dimension. -
DisplayName: string
Read Only:
trueMaximum Length:80The unique identifier of the business unit. -
EmailAddress: string
Read Only:
trueMaximum Length:320Email address of the participant. -
FormulaDisplayName: string
Read Only:
trueMaximum Length:80The display name of the formula -
FormulaId: integer
(int64)
Read Only:
trueUniquely identifying the incentive formula. -
FormulaName: string
Read Only:
trueMaximum Length:80The name of the performance measure. -
FormulaTypeCode: string
Read Only:
trueMaximum Length:30The performance measure type code. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MaximumAmount: number
Read Only:
trueThe maximum amount of the tier. -
MaximumExpId: integer
(int64)
Read Only:
trueThe identifier for the maximum expression-based rate. -
MinimumAmount: number
Read Only:
trueThe minimum amount of the tier. -
MinimumExpId: integer
(int64)
Read Only:
trueThe identifier for the minimum expression-based rate. -
NumberDim: integer
(int64)
Read Only:
trueThe number of dimensions in the rate table. -
OrgId: number
Read Only:
trueThe identifier of the business unit. -
ParentRateTableValueId: integer
(int64)
Read Only:
trueThe unique identifier of the parent rate table value. -
ParticipantId: integer
(int64)
Read Only:
trueThe unique identifier of the participant. -
ParticipantName: string
Read Only:
trueMaximum Length:360The name of the participant with whom the earnings are associated. -
PartyId: integer
(int64)
Read Only:
trueThe party identifier. -
PlanComponentId: integer
(int64)
Read Only:
trueUniquely identifying the plan component. -
PlanComponentName: string
Read Only:
trueMaximum Length:80The system name of the plan component associated with the earnings. -
RateDimensionId: integer
(int64)
Read Only:
trueUnique identifier of the rate dimension. -
RateDimSequence: integer
(int32)
Read Only:
trueRate dimension sequence -
RateDimTierId: integer
(int64)
Read Only:
trueUnique identifier of the rate dimension tier. -
RateSequence: integer
(int32)
Read Only:
trueRate sequence -
RateTableId: integer
(int64)
Read Only:
trueThe unique identifier of the rate table. -
RateTableName: string
Read Only:
trueMaximum Length:80Rate table name -
RateTableValueId: integer
(int64)
Read Only:
trueThe unique identifier of the rate table value. -
ReportEnabledFlag: boolean
Read Only:
trueMaximum Length:1Report enabled flag -
SourceSystemId: string
Read Only:
trueMaximum Length:60The primary key of the record in the source system. -
SplitOption: string
Read Only:
trueMaximum Length:30Split rate option -
SrpCompensationPlanId: integer
(int64)
Read Only:
trueThe unique identifier of the participant compensation plan assignment. -
SrpFormMetricId: integer
(int64)
Read Only:
trueThe unique identifier of the participant formula. -
SrpFormRateTableId: integer
(int64)
Read Only:
trueThe unique identifier of the participant rate. -
SrpPlanComponentId: integer
(int64)
Read Only:
trueThe unique identifier of the participant plan component. -
StringValue: string
Read Only:
trueMaximum Length:30The value of the string dimension. -
TierSequence: integer
(int32)
Read Only:
trueTier sequence -
WorkerNumber: string
Read Only:
trueMaximum Length:30The worker number of the credited participant.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.